gnutls_openpgp_keyring_check_id(3)

NAME
gnutls_openpgp_keyring_check_id - Check if a key id exists in the keyring

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_openpgp_keyring_check_id(gnutls_openpgp_keyring_t ring, const gnutls_openpgp_keyid_t keyid, unsigned int flags);

ARGUMENTS

gnutls_openpgp_keyring_t ring
    holds the keyring to check against

const gnutls_openpgp_keyid_t keyid
    will hold the keyid to check for.

unsigned int flags
    unused (should be 0)

DESCRIPTION
Check if a given key ID exists in the keyring.

RETURNS
GNUTLS_E_SUCCESS on success (if keyid exists) and a negative error code on failure.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.